Заметки иконщика

Не работает автообновление wordpress по ftp?

 

wordpressНе знаю почему, но у меня изначально не работало обновление плагинов wordpress’a по ftp, не знаю в чём корень зла, но я все-таки нашел решение.

Проблема: при обновлении всё происходило гладко, выскакивала надпись, что всё успешно обновлено, но при заходе в плагины, там оставались всё те же старые версии. Оказалось, обновления устанавливались не в wp-content/plugins, а в wp-content/wp-content/plugins. Естественно ничего не работало.

Гуглил, я гуглил, но ничего кроме как прописать пути к папкам в wp-config.php не нашёл, но и это не помогло.

Прописывал пути к папкам, как указано в справке wordpress в wp-config.php:

define('WP_CONTENT_DIR', $_SERVER['DOCUMENT_ROOT'].'/wp-content' );
define('WP_PLUGIN_DIR', $_SERVER['DOCUMENT_ROOT'].'/wp-content/plugins' );

Вписать это, например, после:

define ('WPLANG', 'ru_RU');

Но как уже писал не помогло…

А пару дней назад, подумал, что если папки путаются только из админки, значит надо посмотреть конфиг админки. И полез я в файл wp-admin/setup-config.php и нашел там путь к папке wp-content:

define('WP_CONTENT_DIR', ABSPATH . 'wp-content');

После удаления этой строчки, всё заработало как положено, но в таком случае обязательно надо пути прописывать в wp-config.php

Сам wordpress обновить не решаюсь, т.к. забыл в каких файлах, что менял, как вспомню, так и обновлюсь 🙂

З.Ы. а вдруг кому-то поможет 😉

Tagged in:, ,
About 
Дизайнер иконок я :)

5 комментариев

  1. Андрей Сорвин

    23.04.2010 - 05:54

    Чтобы не бояться обновлять wp, нужно не хардкодить, а писать плагины. А исправлять скрипты вордпресса — отчаяное дело.

Leave a Reply

 

Ваш e-mail не будет опубликован. Обязательные поля помечены *